GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products2609170000CGF/CGF lite 商品列表分页查询
# 01
简介
CGF/CGF lite 商品列表分页查询
# 02
详细内容
API支持的买家用户地区:韩国。不可用于台湾店铺。
CGF/CGF lite 商品列表分页查询与普通商品列表的分页查询的API 接口相同,区别在于需要在 URL query 中添加 registrationType 参数。
路径
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products
示例端点
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products?vendorId={vendorId}&nextToken={nextToken}&maxPerPage={maxPerSize}&sellerProductId={sellerProductId}&sellerProductName={sellerProductName}&status={status}&manufacture={manufacture}&createdAt={createdAt}®istrationType={registrationType}URL API Name
GET_PRODUCTS_BY_QUERY
# 03
Query 参数
| Name | Type | Description | ||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) C00012345 | ||||||||||||||||
| registrationType | string | 注册类型 查询 CGF 的商品,请使用值"FUJI"; 查询 CGF lite 的产品,请使用值 “FUJI_CROSSDOCK" 查询其它产品,请删除这个参数 | ||||||||||||||||
| nextToken | number | 页面 调用下一页的关键值 调用第一页时,不要输入或输入'1' | ||||||||||||||||
| maxPerPage | number | 每页件数 默认值:10;最大值: 100 | ||||||||||||||||
| sellerProductId | number | 注册商品ID
| ||||||||||||||||
| sellerProductName | string | 注册商品名 搜索注册商品名,20字以内 | ||||||||||||||||
| status | string | 卖家商品状态
| ||||||||||||||||
| manufacture | string | 制造商
| ||||||||||||||||
| createdAt | string | 商品注册时间 格式"yyyy-MM-dd" Ex) Type in "2015-12-17" to query 2015-12-17T00:00:00 ~ 2015-12- 17T23:59:59 |
# 04
响应体
响应消息
| Name | Type | Description | ||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | string | 结果代码 SUCCESS/ERROR | ||||||||||||||||||||||||||||||||
| message | string | 结果信息
| ||||||||||||||||||||||||||||||||
| nextToken | string | 下一页 若无下页,则为空字符 | ||||||||||||||||||||||||||||||||
| data | object[] | |||||||||||||||||||||||||||||||||
| sellerProductId data[].sellerProductId | integer | 注册商品ID
| ||||||||||||||||||||||||||||||||
| sellerProductName data[].sellerProductName | string | 注册商品名
| ||||||||||||||||||||||||||||||||
| displayCategoryCode data[].displayCategoryCode | integer | 显示品类代码
| ||||||||||||||||||||||||||||||||
| categoryId data[].categoryId | integer | 品类ID
| ||||||||||||||||||||||||||||||||
| productId data[].productId | integer | 商品ID
| ||||||||||||||||||||||||||||||||
| vendorId data[].vendorId | string | 卖家ID
| ||||||||||||||||||||||||||||||||
| saleStartedAt data[].saleStartedAt | string | 销售开始时间 "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||||||||||||||
| saleEndedAt data[].saleEndedAt | string | 销售结束时间 "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||||||||||||||
| brand data[].brand | string | 品牌
| ||||||||||||||||||||||||||||||||
| statusName data[].statusName | string | 注册商品状态
| ||||||||||||||||||||||||||||||||
| createdAt data[].createdAt | string | 注册销售的时间 "yyyy-MM-ddTHH:mm:ss" |
Response Example
{
"code": "SUCCESS",
"message": "",
"nextToken": "2",
"data": [
{
"sellerProductId": 239092172,
"sellerProductName": "R07 헬로키티 미니낚시놀이",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784194,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:47"
},
{
"sellerProductId": 239092161,
"sellerProductName": "R07 러닝리소스 손가락 지시봉 (10개 세트) (LER2657) - 러닝리소스 지시봉 손가락 포인터 장난감",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784126,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:46"
}
]
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 卖家代码必须输入。 | 查看卖家 ID (vendorId) 是否输入正确。 |
| 400 | 400 (check request parameter) | createdAt的格式是`yyyy- MM-dd` | 查看输入的商品注册日期 (createdAt) 值是否输入正确。格式要为“yyyy-MM-dd”。 |